Update a connector
curl --request PUT \
--url https://api.withsplendor.com/v1/admin/connectors/{connector_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-splendor-tenant-id: <x-splendor-tenant-id>' \
--data '
{
"connector_key": "<string>",
"name": "<string>",
"config": {},
"connector_type": "s3",
"enabled": true
}
'import requests
url = "https://api.withsplendor.com/v1/admin/connectors/{connector_id}"
payload = {
"connector_key": "<string>",
"name": "<string>",
"config": {},
"connector_type": "s3",
"enabled": True
}
headers = {
"x-splendor-tenant-id": "<x-splendor-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-splendor-tenant-id': '<x-splendor-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
connector_key: '<string>',
name: '<string>',
config: {},
connector_type: 's3',
enabled: true
})
};
fetch('https://api.withsplendor.com/v1/admin/connectors/{connector_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {},
"connector_id": 7,
"connector_key": "customer-events",
"connector_type": "s3",
"created_at": "2026-01-15T09:30:00Z",
"enabled": true,
"name": "Customer events",
"tenant_id": "acme",
"updated_at": "2026-01-15T09:30:00Z"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Connectors
Update a connector
Updates a connector instance’s configuration. Requires an admin role.
PUT
/
v1
/
admin
/
connectors
/
{connector_id}
Update a connector
Authorizations
API token issued from the Splendor console.
Headers
Selects the tenant (workspace) the request acts within.
Path Parameters
Body
application/json
⌘I